Vla-put-fittolerance

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-fittolerance vla-object tolerance )


機能
スプラインを新しい許容差で既存の点に再フィットする。


引数
  • vla-object … Spline の VLAオブジェクト
  • tolerance … 許容差。負数は不可


戻り値
nil
  • フィット許容差がゼロに設定されている場合、スプラインはすべてのフィット点を通る。ゼロより大きくすると、指定された許容差の範囲内でフィット点を通る。


サンプル
(vl-load-com)
(defun c:Example_FitTolerance()
    ;; スプラインを作成して、FitTolerance を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; スプラインの定義
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints 
                         '(1 1 0
                           5 5 0
                           10 0 0
                          )
    )
  
    ;; スプラインを作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    ;; 現在の FitTolerance 値を取得
    (setq currFitTolerance (vla-get-FitTolerance splineObj))
    (alert (strcat "現在の FitTolerance 値は " (rtos currFitTolerance 2)))

    ;; 変更
    (vla-put-FitTolerance splineObj 5)
    (vla-ZoomAll acadObj)
    (alert (strcat "FitTolerance を次に変更しました " (rtos (vla-get-FitTolerance splineObj) 2)))
)


関連事項